#ifndef __UNITTEST_UNITTEST_H__
#define __UNITTEST_UNITTEST_H__
#include <stdint.h>


#define INSUT_UNITTEST_USAGE        (-2)

typedef struct InsUT_Unittest_CmdInfo_s
{
    int32_t (*exec_func)(int32_t argc, char **argv);
    uint8_t next_cmd_cnt;
    struct InsUT_Unittest_CmdInfo_s *next_cmd_info;

    char *cmd;
    char *usage;
} InsUT_Unittest_CmdInfo_t;


extern int32_t InsUT_Unittest_Init(void);
extern int32_t InsUT_Unittest_RunCmdString(char *ut_cmd);
extern int32_t InsUT_Unittest_RunCmdFile(uint8_t file_cnt, char *file_list[]);


#endif

